%define name		libreadline-java
%define version		0.8.0
%define readline_ver	4.3
%define release		4jpp
%define javadir		%{_datadir}/java
%define javadocdir	%{_datadir}/javadoc
%define section		free
%define set_jvm		[ -f %{_bindir}/java-functions ] && . %{_bindir}/java-functions; set_jvm; export PATH=$PATH:$JAVA_HOME/bin

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Java wrapper for the GNU-readline library
License:	LGPL
Source:		%{name}-%{version}-src.tar.bz2
Url:		http://java-readline.sf.net/
Requires:	readline = %{readline_ver}
Requires:	/sbin/ldconfig
BuildRequires:	readline-devel
BuildRequires:	libtermcap-devel
BuildRequires:	jpackage-utils
Provides:	java_readline
Provides:	gnu.readline
Group:		Development/Java
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Vendor:		JPackage Project
AutoReqProv:	no

%description
Java-Readline is a port of GNU Readline for Java.  Or, to be more
precise, it is a JNI-wrapper to Readline. It is distributed under the
LGPL.

%package javadoc
Summary:	Javadoc for %{name}
Group:		Development/Java

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q
# remove all binary libs
find . -name "*.jar" -exec rm -f {} \;

%build
%set_jvm
%__make T_LIBS="JavaReadline"
%__make apidoc

%install
# jar
install -d -m 755 $RPM_BUILD_ROOT%{javadir}
install -m 644 %{name}.jar \
$RPM_BUILD_ROOT%{javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{javadir} && for jar in *-%{version}*; do \
ln -sf ${jar} ${jar/-%{version}/}; done)
# lib
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}
install -m 755 libJavaReadline.so $RPM_BUILD_ROOT%{_libdir}/libJavaReadline.so.%{version}
(cd $RPM_BUILD_ROOT%{_libdir} && ln -sf libJavaReadline.so.%{version} libJavaReadline.so)

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}
cp -pr api/* $RPM_BUILD_ROOT%{javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc ChangeLog NEWS README README.1st VERSION
%{_libdir}/*
%{javadir}/*

%files javadoc
%defattr(-,root,root)
%{javadocdir}/%{name}-%{version}

%changelog
* Thu Jan 30 2003 David Walluck <david@anti-microsoft.org> 0.8.0-4jpp
- AutoReqProvides: no
- Strict requires on readline version and /sbin/ldconfig

* Sun Jan 26 2003 David Walluck <david@anti-microsoft.org> 0.8.0-3jpp
- set JAVA_HOME/bin in PATH

* Wed Jan 22 2003 David Walluck <david@anti-microsoft.org> 0.8.0-2jpp
- 1jpp was missing %%changelog
